Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356926 - Results of 'dnf repoquery --whatprovides' and 'dnf provides' don't match
Summary: Results of 'dnf repoquery --whatprovides' and 'dnf provides' don't match
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 09:48 UTC by Jaroslav Škarvada
Modified: 2016-10-04 18:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-29 14:57:09 UTC


Attachments (Terms of Use)

Description Jaroslav Škarvada 2016-07-15 09:48:55 UTC
Description of problem:
'dnf repoquery --whatprovides' and 'dnf provides' give different results, moreover the 'dnf provides' seems to take much longer time to complete, so it's probably doing different query. IIRC both yum commands worked the same.

Version-Release number of selected component (if applicable):
dnf-1.1.9-2.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf repoquery --whatprovides '/usr/share/icons/hicolor/256x256/apps'
2. dnf repoquery --whatprovides '/usr/share/icons/hicolor/256x256/apps/*'
3. dnf provides '/usr/share/icons/hicolor/256x256/apps/*'

Actual results:
1. nothing
2. nothing
3. list of packages

Expected results:
same results for 2 and 3

Additional info:

Comment 1 Honza Silhan 2016-07-18 11:22:02 UTC
We'll fix this

Comment 2 Jaroslav Mracek 2016-07-28 14:01:12 UTC
I create the pull-request: https://github.com/rpm-software-management/dnf/pull/551

Comment 3 Igor Gnatenko 2016-07-29 14:57:09 UTC
Merged as part of DNF 2.0 release.


Note You need to log in before you can comment on or make changes to this bug.